import c4d
from c4d import gui
def main():
    doc.StartUndo()
    tag_id = 5684
    bc = c4d.BaseContainer()
    if c4d.gui.GetInputState(c4d.BFM_INPUT_KEYBOARD,c4d.BFM_INPUT_CHANNEL,bc):
        input_id = bc[c4d.BFM_INPUT_QUALIFIER]
        if input_id == 1:
            tag_id = 1030659
        if input_id == 2:
            tag_id = 5637
        if input_id == 4:
            tag_id = 5629
            
    objs = doc.GetActiveObjects(1)

    if not objs:
        gui.MessageDialog('No objects selected.')
        #print("No objects selected.")
        return

    for i in objs:
        tag = i.MakeTag(tag_id)
        if tag_id == 5684:
            tag[c4d.METABALLTAG_NEGATIVE] = 1
            tag[c4d.ID_BASELIST_NAME] = 'Mike Udin'
            tag[c4d.METABALLTAG_STRENGTH] = 0.25
            tag[c4d.METABALLTAG_RADIUS] = 56.0
        if tag_id == 5629:
            tag[c4d.ID_BASELIST_NAME] = 'Mike Udin Protection'
        doc.AddUndo(c4d.UNDOTYPE_NEW, tag)
    
    c4d.EventAdd()

    doc.EndUndo()

if __name__=='__main__':
    main()
    #1030659 annotation
    #5637 Comp
    #5629 Prot
    